{% extends "base.html" %}
{% block main %}

<!-- boutons edition artiste -->
<h4>Nom : {{artist.name}} <a href="{{ url_for('edit_artist', artistid=artist.id) }}">(Editer)</a><a href="{{ url_for('delete_artist', artistid=artist.id)}}   ">(Supprimer)</a>
</h4>
    <div>
        <h5 class="mt-4 mb-3">Liste de ses albums :</h5>
        <div class="row sample">
            <!-- liste d'albums de l'artiste -->
            {% for album in artist.albums %}
            <div class="mb-4 col-xl-3 col-lg-4 col-md-6 col-sm-6 col-xs-12">
                <div class="card" style="width:248px">
                    <a href="{{ url_for('album', albumid=album.id) }}">
                        <div class="card-header">
                            <h6>{{album.title}}</h6>
                        </div>  
                        <div class="card-body">
                            <img width=200 src="{{ url_for('static', filename=album.img) }}" 
                                title="{{ album.title + " de " + album.artist.name }}"
                                alt="{{ "couverture de " + album.title }}" />
                        </div>
                    </a>
                </div>
            </div>
            {% endfor %}
            
        </div>
    </div>
    
{% endblock %}